import React, { useEffect, useRef, useState } from 'react';
import { View, Pressable as PressableNative, PressableProps, Vibration } from 'react-native';
import { render, fireEvent } from '@testing-library/react-native';
import { Pressable } from '.';

it('onPress', (done) => {
   const { toJSON, getByTestId } = render(
      <Pressable testID="pressable" onPress={() => done()}>
         <View />
      </Pressable>,
   );

   fireEvent.press(getByTestId('pressable'));
});

it('onLongPress', (done) => {
   const { toJSON, getByTestId } = render(
      <Pressable testID="pressable" onLongPress={() => done()}>
         <View />
      </Pressable>,
   );

   fireEvent(getByTestId('pressable'), 'onLongPress');
});
